Package org.apache.commons.math3.analysis.solvers

# Interface PolynomialSolver

All Superinterfaces:
  `BaseUnivariateSolver<PolynomialFunction>`

All Known Implementing Classes:
  `AbstractPolynomialSolver`, `LaguerreSolver`

public interface PolynomialSolver extends BaseUnivariateSolver<PolynomialFunction>
Interface for (polynomial) root-finding algorithms. Implementations will search for only one zero in the given interval.

Since:
  3.0

## Method Summary

### Methods inherited from interface org.apache.commons.math3.analysis.solvers.BaseUnivariateSolver

`getAbsoluteAccuracy, getEvaluations, getFunctionValueAccuracy, getMaxEvaluations, getRelativeAccuracy, solve, solve, solve`